%define major 1.6
%define libname %mklibname %{name} %{major}
%define libutil %mklibname %{name}_Util %{major}
%define devname %mklibname %{name} -d

Summary:	Library for reading and writing images
Name:		OpenImageIO
Version:	1.6.9
Release:	1
License:	BSD
Group:		System/Libraries
Url:		https://sites.google.com/site/openimageio/home
Source0:	https://download.github.com/Release-%{version}.tar.gz
Patch1:		OpenImageIO-1.6.9-dl.patch
BuildRequires:	cmake
BuildRequires:	txt2man
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
BuildRequires:	giflib-devel
BuildRequires:	pugixml-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(IlmBase)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(zlib)

%description
OpenImageIO is a library for reading and writing images, and a bunch of related
classes, utilities, and applications. Main features include:
- Extremely simple but powerful ImageInput and ImageOutput APIs for reading and
  writing 2D images that is format agnostic.
- Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa, JPEG-2000,
  DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS, SGI,
  PNM/PPM/PGM/PBM, Field3d.
- An ImageCache class that transparently manages a cache so that it can access
  truly vast amounts of image data.
- A really nice image viewer, iv, also based on OpenImageIO classes (and so
  will work with any formats for which plugins are available).

%files
%doc CHANGES LICENSE
%{_bindir}/*
%{py_platsitedir}/OpenImageIO.so
%{_datadir}/fonts/oiio
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for reading and writing images
Group:		System/Libraries

%description -n %{libname}
OpenImageIO is a library for reading and writing images.

%files -n %{libname}
%{_libdir}/libOpenImageIO.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libutil}
Summary:	A library for reading and writing images
Group:		System/Libraries

%description -n %{libutil}
OpenImageIO_Util is a library for reading and writing images.

%files -n %{libutil}
%{_libdir}/libOpenImageIO_Util.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	%{libutil} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name} library.

%files -n %{devname}
%doc src/doc/*.pdf
%{_libdir}/libOpenImageIO.so
%{_libdir}/libOpenImageIO_Util.so
%{_includedir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn oiio-Release-%{version}
%patch1 -p1 -b .dl~

%build
%cmake \
	-DUSE_OPENSSL:BOOL=ON \
	-DUSE_PYTHON:BOOL=ON \
	-DUSE_PYTHON3:BOOL=ON \
	-DSTOP_ON_WARNING:BOOL=OFF \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DPYLIB_INSTALL_DIR:PATH=%{py_platsitedir} \
	-DPYLIB3_INSTALL_DIR:PATH=%{python3_sitearch} \
	-DINCLUDE_INSTALL_DIR:PATH=/usr/include/%{name} \
	-DINSTALL_DOCS:BOOL=OFF \
	-DUSE_EXTERNAL_PUGIXML:BOOL=ON

%make

%install
%makeinstall_std -C build

# Move man pages to the right directory
mkdir -p %{buildroot}%{_mandir}/man1
cp -a build/src/doc/*.1 %{buildroot}%{_mandir}/man1


%changelog

* Sat Feb 06 2016 Denis Silakov <dsilakov@gmail.com> 1.6.9-1
- (c827474) Build with openssl


